import javafx.beans.property.DoubleProperty;
import javafx.beans.property.SimpleDoubleProperty;

public class BindingDemo {
  public static void main(String[] args) {
    DoubleProperty d1 = new SimpleDoubleProperty(1);
    DoubleProperty d2 = new SimpleDoubleProperty(2);
    d1.bind(d2); // Wiązanie d1 z d2
    System.out.println("d1 wynosi " + d1.getValue()
      + ", a d2 wynosi " + d2.getValue());
    d2.setValue(70.2);
    System.out.println("d1 wynosi " + d1.getValue()
      + ", a d2 wynosi " + d2.getValue());
  }
}
